/**
 * WordPress dependencies
 */
import { ToolbarButton } from '@wordpress/components';

const getToolbarButtonProps = ( { args, name, title, icon, edit } ) => {
	return {
		icon: icon || 'admin-customizer',
		title: <div className={ name }>{ title }</div>,
		onClick: () => {
			edit( args );
		},
		isActive: args.isActive,
	};
};

export const createToolbarButton = ( {
	args,
	name,
	formatName,
	title,
	icon,
	edit,
} ) => (
	<ToolbarButton
		{ ...getToolbarButtonProps( {
			args,
			name,
			formatName,
			title,
			icon,
			edit,
		} ) }
	/>
);
